Bug 149254 - Hang up with dual head ATI Radeon 7000
Summary: Hang up with dual head ATI Radeon 7000
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137160
TreeView+ depends on / blocked
 
Reported: 2005-02-21 17:55 UTC by Geoff Dolman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 21:31:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Geoff Dolman 2005-02-21 17:55:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
X hangs completely when a dual head with spanning is configured with ATI Radeon 7000 and certain keys are pressed eg ctrl-alt-F1 

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-23.EL/2.6.9-5.EL

How reproducible:
Always

Steps to Reproduce:
1. Configure two screens with spanning on ATI radeon 7000
2. Press Control + alt + F1
3.
  

Actual Results:  The screen hangs and keyboard and mouseare unresponsive. Can only be broken - if at all - from a logging in via another machine. I have verified this is the case on two machines, one a Dell Precision 330, the other Precision 340.
The screens were a pair of Dell 1702 FPs in the one case and 1802 Fps in the other on digital connections.

Expected Results:  Prssing ctrl-alt-F1 should give a virtual terminal

Additional info:

There is not much in messages consistently when the error occurs. Sometimes there is nothing logged at all.
The problem goes away if the dual head is removed and a single head used instead.
The same hardware worked as expected with RHEL 3.
Running system-config-display as non root also seems to cause a hang although I have not double checked this.

Comment 3 Mike A. Harris 2005-02-22 21:44:42 UTC
Please attach the X server log file and config file from the configuration
that fails with Xinerama.

Comment 4 Geoff Dolman 2005-02-23 10:48:14 UTC
See http://dil-gbrowse.cimr.cam.ac.uk/systems/Xorg.0.log

and file below

# Xorg configuration created by system-config-display
# (deleted commented paragraphs to save space
Section "ServerLayout"
        Identifier     "Multihead layout"
        Screen      0  "Screen0" LeftOf "Screen1"
        Screen      1  "Screen1" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "DevInputMice" "AlwaysCore"
        Option      "Xinerama" "on"
        Option      "Clone" "off"
EndSection

Section "Files"

# 
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "ServerFlags"
        Option      "Xinerama" "true"
EndSection

Section "InputDevice"

# 

        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "gb"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "InputDevice"

# 
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Dell 1702FP (Digital)"
        HorizSync    30.0 - 80.0
        VertRefresh  56.0 - 76.0
        Option      "dpms"
EndSection

Section "Monitor"
        Identifier   "Monitor1"
        Ven

dorName   "Monitor Vendor"
        ModelName    "Dell 1702FP (Digital)"
        HorizSync    30.0 - 80.0
        VertRefresh  56.0 - 76.0
        Option      "dpms"
EndSection

Section "Device"

#       Option "MergedFB" "false"
#       Option "CRT2Position" "RightOf"
        #Option "UseFBDev" "true"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 7000"
        BusID       "PCI:1:0:0"
EndSection

Section "Device"
        Identifier  "Videocard1"
        Driver      "radeon"
        VendorName  "Videocard Vendor"
        BoardName   "ATI Radeon 7000"
        BusID       "PCI:1:0:0"
        Screen      1
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "1280x1024" "1280x960" "1152x864" "1024x768" "800x600"
"640x480"
        EndSubSection
EndSection

Section "Screen"
        Identifier "Screen1"
        Device     "Videocard1"
        Monitor    "Monitor1"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection



Comment 6 Mike A. Harris 2005-04-15 09:58:56 UTC
Please attach the files as individual uncompressed bugzilla file attachments,
so they're permanently present in the bug tracker for future reference.
If the URL you provided disappears in the future, we would lose valuable
information from the bug report.  The information is often useful even once
a bug report has been closed, when doing research into previously reported
issues.

Please test the packages available at:

ftp://people.redhat.com/mharris/testing/4E/xorg-x11/6.8.2-1.EL.5/

This test release contains many fixes, among which may resolve the problem
you're having.  Please indicate if the problem persists with the new
test packages.

Thanks in advance.

Comment 7 Geoff Dolman 2005-04-22 14:05:21 UTC
Yes these new packages fix the bug!!
Many thanks for this
geoff

Comment 8 Mike A. Harris 2005-04-22 15:14:58 UTC
Ok, thanks for the good feedback!

These fixes will be in RHEL4 U1, and might be in an asynchronous
update before then too perhaps.

Setting status to "PROD_READY".  Will be automatically updated
when the update is officially released.

Thanks again for testing.


Note You need to log in before you can comment on or make changes to this bug.